<?php 
	include("../config.php");
	include("../Datatable.php");


	$obj = new Datatable($conn);

	$obj->aColumns 		= array('id', 'vendor_id', 'bill_no', 'bill_date', 'net_amt', 'gross_amt', 'created_id');
    $obj->eColumns 		= array('id');
    $obj->sIndexColumn 	= "id";
    $obj->sTable 		= "general_purchase";
    $obj->myWhere 		= "WHERE company_id = '".$_SESSION['company_id']."' AND branch_id = '".$_SESSION['branch_id']."' AND DATE(created_datetime)>='".$_SESSION['from_year']."' AND DATE(created_datetime)<='".$_SESSION['to_year']."'";
    $obj->groupBy       = 'GROUP BY general_purchase.bill_no';
    $obj->datatable_process();

    $cou = 0;
    if(isset($_GET['iDisplayStart'])) {
    	$cou = $_GET['iDisplayStart'];
    }
    $master_user = combine(getAllRecords('users'), 'id', 'name');
    while ($aRow = mysqli_fetch_array($obj->rResult)) {
        $temp_arr = array();
        $party      = "SELECT * FROM `vendor_master` WHERE `id` = '".$aRow['vendor_id']."'";
        $party_res  = mysqli_query($conn,$party);
        $party_row  = mysqli_fetch_array($party_res);

		$temp_arr[] = ++$cou;
		$temp_arr[] = $party_row['name'];
		$temp_arr[] = $aRow['bill_no'];
		$temp_arr[] = date("d-m-Y", strtotime($aRow['bill_date']));
		$temp_arr[] = $aRow['net_amt'];
		$temp_arr[] = $aRow['gross_amt'];
        $temp_arr[] = @$master_user[$aRow['created_id']];
		
		$str = '';
		if( hasPermission($_SESSION['user_detail']['role_id'], 'general_sales_edit') ) {
		$str .= '<a href="index.php?page=general_purchase/edit.php&eid='.$aRow['id'].'" name="edit" class="btn btn-primary" data-toggle="tooltip" data-placement="top" title="EDIT...!!" style='.$display.'><em class="fa fa-pencil"></em></a>&nbsp;';
		}

		

		if( hasPermission($_SESSION['user_detail']['role_id'], 'general_sales_delete') ) {
		$str .= '<button type="button" class="btn btn-danger delete_data" id="'.$aRow["id"].'" data-toggle="tooltip" data-placement="top" title="DELETE...!!" onclick="confirmDelete(this);" style='.$display.'><em class="fa fa-trash"></em></button>&nbsp;';
		}
       
		$temp_arr[] = $str;

        $obj->output['aaData'][] = $temp_arr;
    }

    echo json_encode($obj->output);
    exit();
?>